commit ca6c1bda8023d17577f1fca0b406402fbaaba63f
Author: Richard Biener <rguenther@suse.de>
Date:   Thu Aug 6 12:16:05 2020 +0200

    tree-optimization/96483 - fix ICE in PRE with POLY_INT_CST
    
    This adds a missing case for PRE expression re-materialization.
    
    2020-08-06  Richard Biener  <rguenther@suse.de>
    
            PR tree-optimization/96483
            * tree-ssa-pre.c (create_component_ref_by_pieces_1): Handle
            POLY_INT_CST.
    
    (cherry picked from commit 1f4c8afa1b2dac97f2ee78eacafe6eee246a4dae)

diff --git a/gcc/tree-ssa-pre.c b/gcc/tree-ssa-pre.c
index 0c1654f3580..fa5a81b7e43 100644
--- a/gcc/tree-ssa-pre.c
+++ b/gcc/tree-ssa-pre.c
@@ -2644,6 +2644,7 @@ create_component_ref_by_pieces_1 (basic_block block, vn_reference_t ref,
       }
     case STRING_CST:
     case INTEGER_CST:
+    case POLY_INT_CST:
     case COMPLEX_CST:
     case VECTOR_CST:
     case REAL_CST:

